# Note that this is NOT a relocatable package
# DON'T FORGET TO UPDATE THE MOZILLA DEPENDENCY
%define ver      1.2.14
%define rel 0.90.2.legacy
%define prefix   /usr
%define sysconfdir	/etc
%define moz_required 1.7.7

Summary:   Gnome browser based on Gecko (Mozilla rendering engine).
Name:      galeon
Version:   %ver
Release:   %rel
License:   GPL
Group:     Applications/Internet
Source:    galeon-%{PACKAGE_VERSION}.tar.gz
Patch0:    galeon-1.2.11-moz-1.0.2.patch
Patch1:    galeon-1.2.11-factory.patch
Patch2:    galeon-1.2.14-moz176-compile.patch
Patch3:    galeon-1.2.14-moz-version-check.patch
URL:       http://galeon.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Autoreq: 0
BuildRequires: 	gettext >= 0.10.38
BuildRequires:	mozilla-devel = 37:%{moz_required}
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	libxml-devel >= 1.8.14
BuildRequires:	gnome-libs-devel >= 1.2.11
BuildRequires:	GConf-devel >= 1.0.4
BuildRequires:	ORBit-devel >= 0.5.7
BuildRequires:	oaf-devel >= 0.6.5
BuildRequires:	gnome-vfs-devel >= 1.0.1
BuildRequires:	gdk-pixbuf-devel >= 0.14.0
BuildRequires:	libglade-devel >= 0.13
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
Requires:	glib
Requires:       gtk+ >= 1.2.9
Requires:       libxml >= 1.8.14
Requires:       gnome-libs >= 1.2.11
Requires:       GConf >= 1.0.4
Requires:       ORBit >= 0.5.7
Requires:       oaf >= 0.6.5
Requires:       gnome-vfs >= 1.0.1
Requires:       gdk-pixbuf >= 0.14.0
Requires: 	libglade >= 0.13
Requires: 	mozilla = 37:%{moz_required}
Requires:       perl

ExclusiveArch: i386 ia64

%description
Galeon is a web browser built around Gecko (Mozilla 's rendering engine) 
and Necko (Mozilla's networking engine). It's a GNOME web browser, 
designed to take advantage of as many GNOME technologies as makes sense. 
Galeon was written to do just one thing - browse the web.
%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

# rebuild to get configure.in changes
#automake-1.4
#autoconf

export DONT_BUILD_NAUTILUS_VIEW=1
export CC=gcc296
export CXX=g++296

# if you set the DONT_BUILD_NAUTILUS_VIEW environment variable to something 
# else than "" the view won't be built. Otherwise, it will e built if 
# libnautilus is detected by configure.
if [ "$DONT_BUILD_NAUTILUS_VIEW" != "" ] ; then
	NAUTILUS_VIEW_OPTION="--enable-nautilus-view=no"
	echo Warning: The nautilius view will not be built.
else
	NAUTILUS_VIEW_OPTION=""
fi

if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} \
		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
		--disable-install-schemas $NAUTILUS_VIEW_OPTION \
		--mandir=$RPM_BUILD_ROOT%{_mandir} --disable-werror \
		--with-mozilla-libs=%{_libdir}/mozilla-%{moz_required} \
		--with-mozilla-includes=%{_includedir}/mozilla-%{moz_required}\
		--with-mozilla-snapshot=%{moz_required}
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
		--disable-install-schemas $NAUTILUS_VIEW_OPTION \
		--mandir=$RPM_BUILD_ROOT%{_mandir} --disable-werror \
		--with-mozilla-libs=%{_libdir}/mozilla-%{moz_required} \
		--with-mozilla-includes=%{_includedir}/mozilla-%{moz_required}\
		--with-mozilla-snapshot=%{moz_required}
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

rm -fr $RPM_BUILD_ROOT%{prefix}/var

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL THANKS TODO FAQ FAQ.html README.ExtraPrefs

%{_bindir}/galeon
%{_bindir}/galeon-bin
%{_bindir}/galeon-config-tool

%{prefix}/lib/galeon/components

%config %{_sysconfdir}/gconf/schemas/galeon.schemas
%config %{_sysconfdir}/sound/events/galeon.soundlist 
%{_datadir}/gnome/apps/Internet/*.desktop
%{_datadir}/galeon
%{_datadir}/oaf/GNOME_Galeon_Automation.oaf
%{_datadir}/oaf/GNOME_Galeon_NautilusView.oaf
%{_datadir}/pixmaps/*
%{_datadir}/sounds/galeon
%{_datadir}/gnome/ui/nautilus-galeon-view-ui.xml

%{_mandir}/man1/galeon.1*

%{_datadir}/gnome/help/*
%{_datadir}/omf/galeon/*

%post
%{_bindir}/galeon-config-tool --fix-gconf-permissions
%{_bindir}/galeon-config-tool --pkg-install-schemas
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi


%changelog
* Tue May  3 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.2.14-0.90.2.legacy
- Added missing perl-XML-Parser BuildRequires

* Sat Apr 30 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.2.14-0.90.1.legacy
- Rebuild as a Fedora Legacy update for Red Hat Linux 9
- Added missing scrollkeeper BuildRequires
- Build with gcc296 to be compatible with Mozilla

* Fri Apr 15 2005 Christopher Aillon <caillon@redhat.com> 1.2.14-1.2.3
- Rebuild against mozilla 1.7.7

* Wed Apr 13 2005 Christopher Aillon <caillon@redhat.com> 1.2.14-1.2.2
- Remove the runtime version check, as we take care of that with Requires:

* Fri Apr  8 2005 Christopher Aillon <caillon@redhat.com> 1.2.14-1.2.1
- Update to 1.2.14 for Mozilla 1.7.x compatibility

* Thu Mar 17 2005 Christopher Aillon <caillon@redhat.com> 1.2.13-6.2.1
- Rebuilt to pick up mozilla dependency

* Mon Sep 20 2004 Christopher Aillon <caillon@redhat.com> 1.2.13-4.2.1
- Rebuilt

* Mon Aug 02 2004 Christopher Aillon <caillon@redhat.com> 1.2.13-1.2.1
- Rebuilt

* Tue Mar 09 2004 Christopher Blizzard <blizzard@redhat.com> 1.2.13-0.2.1
- Update to 1.2.13 and update to need mozilla 1.4.2

* Tue Feb 18 2003 Elliot Lee <sopwith@redhat.com> 1.2.7-4
- Add ppc to list of supported archs

* Mon Jan 27 2003 Christopher Blizzard <blizzard@redhat.com> 1.2.7-2
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 16 2002 Christopher Blizzard <blizzard@redhat.com> 1.2.7-0
- Update to 1.2.7

* Sun Nov 24 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not use compat compiler for mainframe
- rm unpackaged files

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild to pick up new moz version.

* Mon Jul 15 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild with new c++ path for the string header.

* Wed Jul 10 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild with gcc 2.96.

- Include patch that changes include from <string> to <string.h> since
  the compiler bombs out in the mozilla include directory because
  there's a directory called 'string'.

* Tue Jun 25 2002 Christopher Blizzard <blizzard@redhat.com>
- Update for Mozilla 1.0.1.
- Build only on i386 for now.

* Thu Jun 13 2002 Christopher Blizzard <blizzard@redhat.com>
- Langify
- Don't build the nautilus view.
- Fix the startup script to detect bad jvms, fontconfig path and set
  the plugin path.
- Require perl for the jvm detection.

* Sun May 26 2002 Yanko Kaneti <yaneti@declera.com>
- add --disable-werror to the configure line 

* Mon May 20 2002 Yanko Kaneti <yaneti@declera.com>
- loosen then mozilla dependancy in the SRPMS and tar.gz

* Fri Apr 26 2002 Yanko Kaneti <yaneti@declera.com>
- some small fixes, copied from the RedHat 1.2.0-7 scr.rpm

* Thu Apr 25 2002 Yanko Kaneti <yaneti@declera.com>
- remove some uneeded defattr settings, move everything to (-,root,root)

